Subject: Re: bug#14500: t/subpkg.sh fails when $CC is not cc

From: Peter Rosin <[email-masked]>
Date: Thu, 30 May 2013 08:27:54 +0200

On 2013-05-29 11:32, Stefano Lattarini wrote:
> On 05/29/2013 09:24 AM, Peter Rosin wrote:
>> Hi!
>>
>> I'm configuring Automake master (baf8a1c22acce0908) with:
>>
>> ./configure CC=".../compile cl ..." ...
>>
>> This appears to cause the below FAIL in t/subpkg.sh.
>>
>> Cheers,
>> Peter
>>
>> *snip*
>> checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
>> *snip*
>> === configuring in lib (/home/peda/automake/t/subpkg.dir/lib)
>> *snip*
>> checking whether /home/peda/automake/lib/compile cl -nologo understands -c and -o together... yes
>> *snip*
>> + grep '^checking whether cc understands -c and -o together' stdout
>> + am_exit_trap 1
>> *snip*
>>
> Yep, I can reproduce the issue.  Fixed with the patch below.  I'm thus closing the
> bug report.

Confirmed, the test passes for me as well. Thanks!

Cheers,
Peter